/**
 * sql模块
 * @date 2022-03
 * @author 何华东
 */
/**
 * `sql`工具类
 */
export default class SqlUtils {
    /**
     * 生成`insert into` sql语句
     */
    static generateInsertSql(tableName: string, entity: object): string;
    /**
     * 生成`replace into` sql语句，固定排除字段`syncTime`
     */
    static generateReplaceSql(tableName: string, entity: object, excludeFields?: string[]): string;
}
/**
  * 生成`insert into` sql语句
  */
export declare function generateInsertSql(tableName: string, entity: object): string;
/**
 * 生成`replace into` sql语句，固定排除字段`syncTime`
 */
export declare function generateReplaceSql(tableName: string, entity: object, excludeFields?: string[]): string;
export { SqlUtils };
